Bug 179163 - CVE-2005-4134 Very long topic history.dat DoS
CVE-2005-4134 Very long topic history.dat DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=moderate,public=20051203,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:01 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0199
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 10:34:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (7.03 KB, patch)
2006-01-27 16:11 EST, Josh Bressers
no flags Details | Diff
Demo exploit (1021 bytes, application/octet-stream)
2006-01-27 16:12 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-01-27 16:01:11 EST
Very long topic history.dat DoS

Mozilla will log various bits of URL information into the history.dat
file. A VERY long title logged to the history.dat file will cause
Mozilla to startup very slows and eat a great deal of memory.  This
behavior will persist until the history information is cleared.

https://bugzilla.mozilla.org/show_bug.cgi?id=319004


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 6 Red Hat Bugzilla 2006-02-02 10:34:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0199.html

Note You need to log in before you can comment on or make changes to this bug.